---
title: List
slug: list
docTags: 
createdAt: 2022-12-01T15:32:14.000Z
---

Returns a list of providers that the user is connected to.





:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://labs.pathfix.com/api/connection",
  "name": "List User Connections",
  "method": "GET",
  "request": {
    "pathParameters": [],
    "queryParameters": [
      {
        "kind": "required",
        "name": "user_id",
        "type": "string",
        "description": "Identifier of your currently logged in user"
      },
      {
        "kind": "required",
        "name": "public_key",
        "type": "string",
        "description": "Your Pathfix Application's Public Key"
      },
      {
        "kind": "required",
        "name": "private_key",
        "type": "string",
        "description": "Your Pathfix Application's Private Key"
      }
    ],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "_bhhPSILcjvcku-umegEK",
        "code": "{\n    \"rows\":[\n        {\n            \"pincStatus\":\"success\",\n            \"callId\":\"9a90bcf9-1e06-4564-87c1-76352fe5a0fc\",\n            \"data\":{\n                \"authorizations\":[{\n                    \"provider\":\"zendesk\",\n                    \"user_id\":\"[user_id]\"\n                    }\n                ]\n            }\n        }\n    ]\n}",
        "language": "200"
      },
      {
        "id": "AIFtKh2h26w-Y7Uwco1VY",
        "code": "Unauthorized",
        "language": "401"
      }
    ],
    "selectedLanguageId": "_bhhPSILcjvcku-umegEK"
  },
  "examples": {
    "languages": [
      {
        "id": "gtbIc2pojoOXVTAgoVMOh",
        "code": "curl --request GET\n  --url https://labs.pathfix.com/api/connection \n  --header 'Accept: application/json'",
        "language": "curl"
      },
      {
        "id": "wxFfUDrtSwJ50kkFGJR7g",
        "code": "const fetch = require('node-fetch');\n\nlet url = 'https://labs.pathfix.com/api/connection';\nlet options = {\n  method: 'GET', \nheaders: {\n    Accept: 'application/json',\n  }\n};\nfetch(url, options)\n  .then(res => res.json())\n  .then(json => console.log(json))\n  .catch(err => console.error('error:' + err));",
        "language": "nodejs"
      },
      {
        "id": "O22uMSCxnzDNLhqoR1Eqv",
        "code": "import requests\n\nurl = \"https://labs.pathfix.com/api/connection\"\nheaders = {\"Accept\": \"application/json\"}\nresponse = requests.request(\"GET\", url, headers=headers)\nprint(response.text)",
        "language": "python"
      },
      {
        "id": "vyB1pSi4iBaoeNIwgTyH4",
        "code": "const fetch = require('node-fetch');\n\nlet url = 'https://labs.pathfix.com/api/connection';\nlet options = {method: 'GET', headers: {Accept: 'application/json'}};\nfetch(url, options)\n  .then(res => res.json())\n  .then(json => console.log(json))\n  .catch(err => console.error('error:' + err));",
        "language": "ruby"
      }
    ],
    "selectedLanguageId": "gtbIc2pojoOXVTAgoVMOh"
  },
  "description": "List all of a platform user's enabled connections to providers\n",
  "currentNewParameter": {
    "label": "Query Parameter",
    "value": "queryParameters"
  },
  "autoGeneratedAnchorSlug": "list-user-connections",
  "legacyHash": "6Hmlt3yTaaxDJu4S74bzl"
}
```
:::

